Bug 1547735 (CVE-2018-7254) - CVE-2018-7254 wavpack: Global buffer over-read in ParseCaffHeaderConfig function in cli/caff.c
Summary: CVE-2018-7254 wavpack: Global buffer over-read in ParseCaffHeaderConfig funct...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-7254
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1547736 1547737 1547738 1547739
Blocks: 1547741
TreeView+ depends on / blocked
 
Reported: 2018-02-21 20:23 UTC by Pedro Sampaio
Modified: 2019-09-29 14:33 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
An out-of-bounds read flaw was found in the way WavPack handled processing of CAF (Core Audio Format) files. An attacker could potentially use this flaw to crash WavPack by tricking it into processing crafted CAF files.
Clone Of:
Environment:
Last Closed: 2018-10-06 02:02:29 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2018-02-21 20:23:22 UTC
The ParseCaffHeaderConfig function of the cli/caff.c file of WavPack 5.1.0 allows an attacker to cause a denial-of-service due to global buffer over-read via a maliciously crafted CAF file.

Upstream bug:

https://github.com/dbry/WavPack/issues/26

Upstream patch:

https://github.com/dbry/WavPack/commit/8e3fe45a7bac31d9a3b558ae0079e2d92a04799e

Comment 1 Pedro Sampaio 2018-02-21 20:24:00 UTC
Created mingw-wavpack tracking bugs for this issue:

Affects: epel-7 [bug 1547737]
Affects: fedora-all [bug 1547736]


Created wavpack tracking bugs for this issue:

Affects: fedora-all [bug 1547738]


Note You need to log in before you can comment on or make changes to this bug.